Bug 970487 - NullPointerException in CacheFactoryAdd when aliases aren't specified
NullPointerException in CacheFactoryAdd when aliases aren't specified
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: David M. Lloyd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 02:58 EDT by Jaikiran Pai
Modified: 2013-12-15 11:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:19:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaikiran Pai 2013-06-04 02:58:39 EDT
A user has reported a NPE while adding a cache from the EJB subsystem. Here's the forum thread https://community.jboss.org/message/821146#821146 and the exception stacktrace:

./subsystem=ejb3/cache=my-cache:add(passivation-store=infinispan)

 

with the next outputs.

 

ERROR [org.jboss.as.controller.management-operation] (management-handler-thread - 1) JBAS014612: Operation ("add") failed - address: ([

    ("subsystem" => "ejb3"),

    ("cache" => "my-cache")

]): java.lang.NullPointerException

    at java.util.HashSet.<init>(HashSet.java:116) [rt.jar:1.6.0_24]

    at org.jboss.as.ejb3.subsystem.CacheFactoryAdd.installRuntimeServices(CacheFactoryAdd.java:83)

    at org.jboss.as.ejb3.subsystem.CacheFactoryAdd.performRuntime(CacheFactoryAdd.java:74)

    at org.jboss.as.controller.AbstractAddStepHandler$1.execute(AbstractAddStepHandler.java:50) [jboss-as-controller-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]

    at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:440) [jboss-as-controller-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
Comment 2 Jan Martiska 2013-09-19 06:11:57 EDT
Verified in EAP 6.2.0.ER1.
Comment 8 Dimitris Andreadis 2013-10-24 14:28:52 EDT
Assigning jpai@redhat.com EJB issues to david.lloyd@redhat.com. Please re-assign to Cheng or others as needed.

Note You need to log in before you can comment on or make changes to this bug.